$font-size-desc-desktop: 0.86vw;

// button
%button{
    font-size: 0.98vw;
    text-transform: uppercase;
    width: fit-content;
    height: 3.1vw;
    cursor: pointer;    
    img{
        margin-left: 0.9vw;
    }
}

%button-outline{
    border:1px solid #8F762D;
    background-color: white;
    color: #00264B;
    @extend %button;
    .arrow1{
        display: none;
    }
    .arrow2{
        display: inline-block;
    }
}

%button-solid-blue{
    background-color: #00264B;
    color: white;
    @extend %button;
    .arrow1{
        display: inline-block;
    }
    .arrow2{
        display: none;
    }
}

// bg-image
%bg-opacity-image{
    position: absolute;
    top:0;
    left: 0;
    object-fit: cover;
    width: 100%;
    height: 100%;
    opacity: 0.1;
    pointer-events: none;
}

// shadow-title
%shadow-title{
    z-index: 2;    
    text-transform: uppercase;
    opacity: 0.1;
    font-family: museo700;   
    position: absolute;    
}

// img full cover
%full-img-cover{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

// desc
%desc{
    font-size: $font-size-desc-desktop;
    letter-spacing: 1px;
}

// fitur card
%fitur-card-section {
    img {
        width: 6.8vw;
        height: 6.8vw;
        margin-right: 2vw;
    }
    .card-detail {
        p {
            margin: 0;
        }
        .title {
            margin-bottom: 0.9vw;
            font-size: 1vw;
            text-transform: uppercase;
            color: #00264b;
            font-family: museo700;
        }
        .desc {
            color: #858585;
            @extend %desc;
        }
    }
}

// layout factory, machinery
%layout{
    position: relative;
    height: 18vw;
    .layout-section{
        position: absolute;
        top: -3vw;
        left: 50%;
        transform: translateX(-50%);
        padding-top:8vw;
        width: 80%;
        background: white;
        display: grid;
        grid-template-columns: 1fr;
        grid-row-gap: 3vw;
        .title-box{
            position: relative;
            justify-self: center;
            .title-section{
                width: 80%;
                text-align: center;
                margin: 0 auto;
            }
            .bg1{
                top: -6.5vw;
                left: 50%;
                transform: translateX(-50%);
                letter-spacing: 1.5vw;
                font-size: 8vw;
                margin: 0;
                @extend %shadow-title;
            }
        }
        .desc-box{
            display: grid;
            grid-template-columns: 1fr 1fr;
            grid-gap: 3.4vw;
            div{
                .desc{
                    @extend %desc;
                }
            }
        }
    }
}